{% extends "base.html" %}

{% block main %}
<h1>Parts / forms / x-www-form-urlencoded</h1>

Used to send text data to the server with a simple request. Use
it when possible.

<h2>Example</h2>

{% if form1 %}
<div id="form1">
  <p>Data: {{ form1 }}</p>

  <form
    class="py-4" action="/api/form-urlencoded-clear" method="POST"
    data-replace="#form1">
    <input type="submit" value="Clear"/>
  </form>
</div>
{% else %}
<form id="form1" class="py-4" method="POST" data-replace="#form1">
  <div class="text-field">
    <label><span class="label">Login</span>
      <input name="login" type="text" autocomplete="off" required value="Eric Cartman">
    </label>
    <div class="error"></div>
  </div>

  <div class="text-field">
    <label><span class="label">Password</span>
      <input name="password" type="password" autocomplete="off" required value="qwe">
    </label>
    <div class="error"></div>
  </div>

  <input type="submit" value="Send"/>
</form>
{% endif %}

{% endblock %}
